KKeyDialog Class Reference

`#include <kkeydialog.h>`

Inheritance diagram for KKeyDialog:

## Public Member Functions

| KKeyDialog (bool bAllowLetterShortcuts=true, QWidget *parent=0, const char *name=0)
virtual | ~KKeyDialog ()
bool | insert (KActionCollection *)
bool | insert (KActionCollection *, const QString &title)
bool | configure (bool bSaveSettings=true)
void | commitChanges ()
Public Member Functions inherited from KDialogBase
| KDialogBase (QWidget *parent=0, const char *name=0, bool modal=true, const QString &caption=QString::null, int buttonMask=Ok|Apply|Cancel, ButtonCode defaultButton=Ok, bool separator=false, const KGuiItem &user1=KGuiItem(), const KGuiItem &user2=KGuiItem(), const KGuiItem &user3=KGuiItem())
| KDialogBase (int dialogFace, const QString &caption, int buttonMask, ButtonCode defaultButton, QWidget *parent=0, const char *name=0, bool modal=true, bool separator=false, const KGuiItem &user1=KGuiItem(), const KGuiItem &user2=KGuiItem(), const KGuiItem &user3=KGuiItem())
| KDialogBase (KDialogBase::DialogType dialogFace, WFlags f, QWidget *parent=0, const char *name=0, bool modal=true, const QString &caption=QString::null, int buttonMask=Ok|Apply|Cancel, ButtonCode defaultButton=Ok, bool separator=false, const KGuiItem &user1=KGuiItem(), const KGuiItem &user2=KGuiItem(), const KGuiItem &user3=KGuiItem())
| KDialogBase (const QString &caption, int buttonMask=Yes|No|Cancel, ButtonCode defaultButton=Yes, ButtonCode escapeButton=Cancel, QWidget *parent=0, const char *name=0, bool modal=true, bool separator=false, const KGuiItem &yes=KStdGuiItem::yes(), const KGuiItem &no=KStdGuiItem::no(), const KGuiItem &cancel=KStdGuiItem::cancel())
| ~KDialogBase ()
void | setButtonBoxOrientation (int orientation)
void | setEscapeButton (ButtonCode id)
virtual void | adjustSize ()
virtual QSize | sizeHint () const
virtual QSize | minimumSizeHint () const
QFrame * | plainPage ()
QFrame * | addPage (const QString &itemName, const QString &header=QString::null, const QPixmap &pixmap=QPixmap())
QFrame * | addPage (const QStringList &items, const QString &header=QString::null, const QPixmap &pixmap=QPixmap())
QVBox * | addVBoxPage (const QString &itemName, const QString &header=QString::null, const QPixmap &pixmap=QPixmap())
QVBox * | addVBoxPage (const QStringList &items, const QString &header=QString::null, const QPixmap &pixmap=QPixmap())
QHBox * | addHBoxPage (const QString &itemName, const QString &header=QString::null, const QPixmap &pixmap=QPixmap())
QHBox * | addHBoxPage (const QStringList &items, const QString &header=QString::null, const QPixmap &pixmap=QPixmap())
QGrid * | addGridPage (int n, Orientation dir, const QString &itemName, const QString &header=QString::null, const QPixmap &pixmap=QPixmap())
QGrid * | addGridPage (int n, Orientation dir, const QStringList &items, const QString &header=QString::null, const QPixmap &pixmap=QPixmap())
void | setFolderIcon (const QStringList &path, const QPixmap &pixmap)
QFrame * | makeMainWidget ()
QVBox * | makeVBoxMainWidget ()
QHBox * | makeHBoxMainWidget ()
QGrid * | makeGridMainWidget (int n, Orientation dir)
void | enableButtonSeparator (bool state)
void | showButton (ButtonCode id, bool state)
void | showButtonOK (bool state)
void | showButtonApply (bool state)
void | showButtonCancel (bool state)
bool | showPage (int index)
int | activePageIndex () const
int | pageIndex (QWidget *widget) const
void | setMainWidget (QWidget *widget)
QWidget * | mainWidget ()
void | disableResize ()
void | setInitialSize (const QSize &s, bool noResize=false)
void | incInitialSize (const QSize &s, bool noResize=false)
QSize | configDialogSize (const QString &groupName) const
QSize | configDialogSize (KConfig &config, const QString &groupName) const
void | saveDialogSize (const QString &groupName, bool global=false)
void | saveDialogSize (KConfig &config, const QString &groupName, bool global=false) const
void | setButtonOK (const KGuiItem &item=KStdGuiItem::ok())
void | setButtonOKText (const QString &text=QString::null, const QString &tooltip=QString::null, const QString &quickhelp=QString::null) KDE_DEPRECATED
void | setButtonApply (const KGuiItem &item=KStdGuiItem::apply())
void | setButtonApplyText (const QString &text=QString::null, const QString &tooltip=QString::null, const QString &quickhelp=QString::null) KDE_DEPRECATED
void | setButtonCancel (const KGuiItem &item=KStdGuiItem::cancel())
void | setButtonCancelText (const QString &text=QString::null, const QString &tooltip=QString::null, const QString &quickhelp=QString::null) KDE_DEPRECATED
void | setButtonText (ButtonCode id, const QString &text)
void | setButtonTip (ButtonCode id, const QString &text)
void | setButtonWhatsThis (ButtonCode id, const QString &text)
void | setButtonGuiItem (ButtonCode id, const KGuiItem &item)
void | setTreeListAutoResize (bool state)
void | setShowIconsInTreeList (bool state)
void | setRootIsDecorated (bool state)
void | unfoldTreeList (bool persist=false)
void | addWidgetBelowList (QWidget *widget)
void | addButtonBelowList (const QString &text, QObject *recv, const char *slot)
void | addButtonBelowList (const KGuiItem &guiitem, QObject *recv, const char *slot)
void | setIconListAllVisible (bool state)
void | showTile (bool state)
void | getBorderWidths (int &ulx, int &uly, int &lrx, int &lry) const KDE_DEPRECATED
QRect | getContentsRect () const KDE_DEPRECATED
QSize | calculateSize (int w, int h) const
QString | helpLinkText () const
QPushButton * | actionButton (ButtonCode id)
Public Member Functions inherited from KDialog
| KDialog (QWidget *parent=0, const char *name=0, bool modal=false, WFlags f=0)

## Static Public Member Functions

static int | configure (KActionCollection *coll, QWidget *parent=0, bool bSaveSettings=true)
static int | configure (KAccel *keys, QWidget *parent=0, bool bSaveSettings=true)
static int | configure (KGlobalAccel *keys, QWidget *parent=0, bool bSaveSettings=true)
static int | configure (KActionCollection *coll, bool bAllowLetterShortcuts, QWidget *parent=0, bool bSaveSettings=true)
static int | configure (KAccel *keys, bool bAllowLetterShortcuts, QWidget *parent=0, bool bSaveSettings=true)
static int | configure (KGlobalAccel *keys, bool bAllowLetterShortcuts, QWidget *parent=0, bool bSaveSettings=true)
static KDE_DEPRECATED int | configureKeys (KAccel *keys, bool save_settings=true, QWidget *parent=0)
static KDE_DEPRECATED int | configureKeys (KGlobalAccel *keys, bool save_settings=true, QWidget *parent=0)
static KDE_DEPRECATED int | configureKeys (KActionCollection *coll, const QString &, bool save_settings=true, QWidget *parent=0)
Static Public Member Functions inherited from KDialogBase
static bool | haveBackgroundTile ()
static const QPixmap * | backgroundTile ()
static const QPixmap * | getBackgroundTile () KDE_DEPRECATED
static void | setBackgroundTile (const QPixmap *pix)
Static Public Member Functions inherited from KDialog
static int | marginHint ()
static int | spacingHint ()
static void | resizeLayout (QWidget *widget, int margin, int spacing)
static void | resizeLayout (QLayoutItem *lay, int margin, int spacing)
static void | centerOnScreen (QWidget *widget, int screen=-1)
static bool | avoidArea (QWidget *widget, const QRect &area, int screen=-1)

## Protected Member Functions

virtual void | virtual_hook (int id, void *data)
Protected Member Functions inherited from KDialogBase
virtual void | keyPressEvent (QKeyEvent *e)
virtual void | hideEvent (QHideEvent *)
virtual void | closeEvent (QCloseEvent *e)

## Additional Inherited Members

Public Types inherited from KDialogBase
enum | ButtonCode { Help = 0x00000001, Default = 0x00000002, Ok = 0x00000004, Apply = 0x00000008, Try = 0x00000010, Cancel = 0x00000020, Close = 0x00000040, User1 = 0x00000080, User2 = 0x00000100, User3 = 0x00000200, No = 0x00000080, Yes = 0x00000100, Details = 0x00000400, Filler = 0x40000000, Stretch = 0x80000000, NoDefault }
enum | ActionButtonStyle { ActionStyle0 =0, ActionStyle1, ActionStyle2, ActionStyle3, ActionStyle4, ActionStyleMAX }
enum | DialogType { TreeList = KJanusWidget::TreeList, Tabbed = KJanusWidget::Tabbed, Plain = KJanusWidget::Plain, Swallow = KJanusWidget::Swallow, IconList = KJanusWidget::IconList }
Public Slots inherited from KDialogBase
void | enableButton (ButtonCode id, bool state)
void | enableButtonOK (bool state)
void | enableButtonApply (bool state)
void | enableButtonCancel (bool state)
void | enableLinkedHelp (bool state)
void | delayedDestruct ()
void | setHelpLinkText (const QString &text)
void | setHelp (const QString &anchor, const QString &appname=QString::null)
void | helpClickedSlot (const QString &)
void | setDetails (bool showDetails)
void | setDetailsWidget (QWidget *detailsWidget)
void | updateBackground ()
void | cancel ()
Public Slots inherited from KDialog
virtual void | polish ()
virtual void | setCaption (const QString &caption)
virtual void | setPlainCaption (const QString &caption)
Signals inherited from KDialogBase
void | helpClicked ()
void | defaultClicked ()
void | user3Clicked ()
void | user2Clicked ()
void | user1Clicked ()
void | applyClicked ()
void | tryClicked ()
void | okClicked ()
void | yesClicked ()
void | noClicked ()
void | cancelClicked ()
void | closeClicked ()
void | apply ()
void | backgroundChanged ()
void | hidden ()
void | finished ()
void | aboutToShowDetails ()
void | aboutToShowPage (QWidget *page)
Signals inherited from KDialog
void | layoutHintChanged ()
Protected Slots inherited from KDialogBase
virtual void | slotHelp ()
virtual void | slotDefault ()
virtual void | slotDetails ()
virtual void | slotUser3 ()
virtual void | slotUser2 ()
virtual void | slotUser1 ()
virtual void | slotOk ()
virtual void | slotApply ()
virtual void | slotTry ()
virtual void | slotYes ()
virtual void | slotNo ()
virtual void | slotCancel ()
virtual void | slotClose ()
virtual void | applyPressed ()
void | updateGeometry ()
void | slotDelayedDestruct ()

## Detailed Description

Dialog for configuration of KActionCollection, KAccel, and KGlobalAccel.

The KKeyDialog class is used for configuring dictionaries of key/action associations for KActionCollection, KAccel, and KGlobalAccel. It uses the KKeyChooser widget and offers buttons to set all keys to defaults and invoke on-line help.

Several static methods are supplied which provide the most convenient interface to the dialog. The most common and most encouraged use is with KActionCollection.

KKeyDialog::configure( actionCollection() );

Author
  Nicolas Hadacek hadac.nosp@m.ek@v.nosp@m.ia.ec.nosp@m.p.fr

Definition at line 274 of file kkeydialog.h.

## Constructor & Destructor Documentation

KKeyDialog::KKeyDialog | ( | bool | bAllowLetterShortcuts = `true`,
|  | QWidget * | parent = `0`,
|  | const char * | name = `0`
| ) |  |

Constructs a KKeyDialog called `name` as a child of `parent`.

Set `bAllowLetterShortcuts` to false if unmodified alphanumeric keys ('A', '1', etc.) are not permissible shortcuts.

Definition at line 1102 of file kkeydialog.cpp.

KKeyDialog::~KKeyDialog | ( |  | ) |

virtual

Destructor.

Deletes all resources used by a KKeyDialog object.

Definition at line 1114 of file kkeydialog.cpp.

## Member Function Documentation

void KKeyDialog::commitChanges | ( |  | ) |

Commit key setting changes so that changed settings actually become active.

This method is implicitly called from configure(bool) if `bSaveSettings` is true.

Definition at line 1142 of file kkeydialog.cpp.

bool KKeyDialog::configure | ( | bool | bSaveSettings = `true` | ) |

Run the dialog and call commitChanges() if `bSaveSettings` is true.

Definition at line 1130 of file kkeydialog.cpp.

int KKeyDialog::configure | ( | KActionCollection * | coll,
|  | QWidget * | parent = `0`,
|  | bool | bSaveSettings = `true`
| ) |  |

static

Pops up a modal dialog for configuring key settings.

The new shortcut settings will be active if the user presses OK. If `bSaveSettings` if true, the settings will also be saved back to the *uirc file which they were intially read from.

Returns
  Accept if the dialog was closed with OK, Reject otherwise.

Definition at line 1147 of file kkeydialog.cpp.

int KKeyDialog::configure | ( | KAccel * | keys,
|  | QWidget * | parent = `0`,
|  | bool | bSaveSettings = `true`
| ) |  |

static

This is an overloaded member function, provided for convenience.

It behaves essentially like the above function, except that settings are saved to a *.rc file using KConfig.

Definition at line 1152 of file kkeydialog.cpp.

int KKeyDialog::configure | ( | KGlobalAccel * | keys,
|  | QWidget * | parent = `0`,
|  | bool | bSaveSettings = `true`
| ) |  |

static

This is an overloaded member function, provided for convenience.

It behaves essentially like the above function.

Definition at line 1157 of file kkeydialog.cpp.

int KKeyDialog::configure | ( | KActionCollection * | coll,
|  | bool | bAllowLetterShortcuts,
|  | QWidget * | parent = `0`,
|  | bool | bSaveSettings = `true`
| ) |  |

static

This is an overloaded member function, provided for convenience.

It behaves essentially like the above function.

Parameters

  coll | the KActionCollection to configure
  bAllowLetterShortcuts | Set to false if unmodified alphanumeric keys ('A', '1', etc.) are not permissible shortcuts.
  parent | the parent widget to attach to
  bSaveSettings | if true, the settings will also be saved back to the *uirc file which they were intially read from.

Definition at line 1182 of file kkeydialog.cpp.

int KKeyDialog::configure | ( | KAccel * | keys,
|  | bool | bAllowLetterShortcuts,
|  | QWidget * | parent = `0`,
|  | bool | bSaveSettings = `true`
| ) |  |

static

This is an overloaded member function, provided for convenience.

It behaves essentially like the above function.

Definition at line 1162 of file kkeydialog.cpp.

int KKeyDialog::configure | ( | KGlobalAccel * | keys,
|  | bool | bAllowLetterShortcuts,
|  | QWidget * | parent = `0`,
|  | bool | bSaveSettings = `true`
| ) |  |

static

This is an overloaded member function, provided for convenience.

It behaves essentially like the above function.

Definition at line 1172 of file kkeydialog.cpp.

static KDE_DEPRECATED int KKeyDialog::configureKeys | ( | KAccel * | keys,
|  | bool | save_settings = `true`,
|  | QWidget * | parent = `0`
| ) |  |

inline static

Deprecated:
  Obsolete. Please use KKeyDialog::configure instead

Definition at line 380 of file kkeydialog.h.

static KDE_DEPRECATED int KKeyDialog::configureKeys | ( | KGlobalAccel * | keys,
|  | bool | save_settings = `true`,
|  | QWidget * | parent = `0`
| ) |  |

inline static

Deprecated:
  Obsolete. Please use KKeyDialog::configure instead

Definition at line 386 of file kkeydialog.h.

static KDE_DEPRECATED int KKeyDialog::configureKeys | ( | KActionCollection * | coll,
|  | const QString & | ,
|  | bool | save_settings = `true`,
|  | QWidget * | parent = `0`
| ) |  |

inline static

Deprecated:
  Obsolete. Please use KKeyDialog::configure instead

Definition at line 392 of file kkeydialog.h.

bool KKeyDialog::insert | ( | KActionCollection * | pColl | ) |

Insert an action collection, i.e.

add all its actions to the ones displayed by the dialog. This method can be useful in applications following the document/view design, with actions in both the document and the view. Simply call insert with the action collections of each one in turn.

Returns
  true :)

Definition at line 1120 of file kkeydialog.cpp.

bool KKeyDialog::insert | ( | KActionCollection * | pColl,
|  | const QString & | title
| ) |  |

Insert an action collection, i.e.

add all its actions to the ones displayed by the dialog. This method can be useful in applications following the document/view design, with actions in both the document and the view. Simply call insert with the action collections of each one in turn.

    @param title the title associated with the collection (if null, the
    KAboutData::progName() of the collection's instance is used)
    @return true :)

Since
  3.1

Definition at line 1125 of file kkeydialog.cpp.

The documentation for this class was generated from the following files:

- kkeydialog.h
- kkeydialog.cpp

KDE Home | KDE Accessibility Home | Description of Access Keys